﻿
using System.Linq.Expressions;
namespace GraphApp
{
    interface IVisitor
    {
        void Visit(BinaryExpression expr);
        void Visit(ConditionalExpression expr);
        void Visit(ConstantExpression expr);
        void Visit(Expression expr);
        void Visit(InvocationExpression expr);
        void Visit(LambdaExpression expr);
        void Visit(ListInitExpression expr);
        void Visit(MemberExpression expr);
        void Visit(MemberInitExpression expr);
        void Visit(MethodCallExpression expr);
        void Visit(NewArrayExpression expr);
        void Visit(NewExpression expr);
        void Visit(ParameterExpression expr);
        void Visit(TypeBinaryExpression expr);
        void Visit(UnaryExpression expr);
    }

}
